﻿using System;

namespace RecrownedGTK.Tools.CommandProcessor.Commands
{
    public class ClearConsoleCommand : EngineCommand
    {
        public ClearConsoleCommand() : base("Clears the console.", "clear")
        {
        }

        public override bool Run(IUserInput userInput, IUserOutput userOutput, string[] arguments = null)
        {
            userOutput.ClearOutput();
            return true;
        }
    }
}
