﻿namespace RecrownedGTK.Tools.CommandProcessor.Commands
{
    internal class StopCommand : EngineCommand
    {
        CommandEngine commandEngine;

        public StopCommand(CommandEngine commandEngine) : base("Exits the tool.", "quit", "stop", "q", "exit")
        {
            this.commandEngine = commandEngine;
        }

        public override bool Run(IUserInput userInput, IUserOutput userOutput, string[] arguments = null)
        {
            commandEngine.running = false;
            return true;
        }
    }
}
