using System;
using RecrownedGTK.Graphics;

namespace RecrownedGTK.AssetsSystem.Information {
    public struct TextureInfo : IInfo {
        public readonly byte[] textureData;
        int width, height;
        public Type resultingType => typeof(TextureData);
        public TextureInfo(int width, int height, byte[] textureData) {
            this.width = width;
            this.height = height;
            this.textureData = textureData;
        }


        public IDisposable CreateUseable()
        {
            TextureData data = new TextureData(textureData, width, height);
            return data;
        }
    }
}